Links

- Docs Home
- Config Ref. Home

Top Level Elements

- Server
- Service

Connectors

- JTC Connectors
- Coyote HTTP/1.1
- Coyote JK 2
- HTTP/1.1
- JK
- Webapp

Containers

- Context
- Engine
- Host

Nested Components

- Default Context
- Global Resources
- Loader
- Logger
- Manager
- Realm
- Resources
- Valve

# Server Configuration Reference

## The Service Component

print-friendly
version

Introduction

> A Service element represents the combination of one or more Connector components that share a single Engine component for processing incoming requests. One or more Service elements may be nested inside a Server element.

Attributes

> Common Attributes

> > All implementations of Service support the following attributes:

> > Attribute | Description
> > --- | ---
> > `className` | Java class name of the implementation to use. This class must implement the `org.apache.catalina.Service` interface. If no class name is specified, the standard implementation will be used.
> > `name` | The display name of this Service, which will be included in log messages if you utilize standard Catalina components. The name of each Service that is associated with a particular Server must be unique.

> Standard Implementation

> > The standard implementation of Service is org.apache.catalina.core.StandardService. It supports the following additional attributes (in addition to the common attributes listed above):

> > Attribute | Description
> > --- | ---
> > `debug` | The level of debugging detail logged by this Service to the associated Logger. Higher numbers generate more detailed output. If not specified, the default debugging detail level is zero (0).

Nested Components

> The only components that may be nested inside a Service element are one or more Connector elements, followed by exactly one Engine element.

Special Features

> There are no special features associated with a Service.

Copyright © 1999-2002, Apache Software Foundation